### Method

# Panel Frame add_before

#### Declaration [src]

    void
    panel_frame_add_before (
      PanelFrame* self,
      PanelWidget* panel,
      PanelWidget* sibling
    )

#### Description [src]

Add `panel` before `sibling` in the `PanelFrame`.

#### Parameters

`panel`

  Type: `PanelWidget`

  The `PanelWidget` to add.

  The data is owned by the caller of the method.

`sibling`

  Type: `PanelWidget`

  The sibling `PanelWidget` to add the panel before.

  The data is owned by the caller of the method.